QGIS Application - Bug report #1558
WGS84 conversion to EPSG:27700 in error by greater than 100 metres
2009-02-20 12:06 PM - Nick Hopton

Status: Closed

Priority: Low

Assignee: nobody -

Category: Projection Support

Affected QGIS version: Regression?: No
Operating System: Windows Easy fix?: No
Pull Request or Patch supplied: Resolution: invalid
Crashes QGIS or corrupts data: Copied to github as #: 11618
Description

OSGB (EPSG: 27700) CRS Problem. Version 1.0.0 (I1)

When reprojecting a WGS84 shape file to EPSG:27700 (Ordnance Survey of Great Britain) on the fly in QGIS | noticed errors of around
125 metres in the conversion. This is quite serious for users in the UK. Error in conversion of this magnitude are usually the result of the
conversion not taking into account the fact the WGS84 datum and the OSGB36 datum are not one and the same thing (but the conversion
does use the +datum=0sgb36 parameter, | don't understand).

For the time being I've defined my own OS CRS using the following parameters:

+proj=tmerc +lat_0=49 +lon_0=-2 +k=0.999601 +x_0=400000 +y_0=-100000 +ellps=airy
+towgs84=446.448,-125.157,542.060,0.1502,0.2470,0.8421,-20.4894 +units=m +no_defs no_defs <>

Which converts from WGS84 to EPSG:27700 good to a metre or so. I've had this problem with other software that uses Proj.4.

History

#1 - 2009-03-28 03:18 PM - Paolo Cavallini

See also #377 and #1079, all probably related

#2 - 2009-04-11 01:29 AM - Paolo Cavallini

Isn't this really a PROJ4/EPSG bug? Please report it there.

#3 - 2009-07-11 08:45 AM - Paolo Cavallini
- Resolution set to invalid
- Status changed from Open to Closed

If the same error happens with all PROJ.4 software, it should be a PROJ.4 issue, not a QGIS one. Please reopen the ticket here if necessary
